osso-gwobex (0.58) unstable; urgency=low

  * Don't access xfer pointer after calling user callback. Fixes: NB#83080

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 31 Mar 2008 11:12:53 +0000

osso-gwobex (0.57) unstable; urgency=low

  * Increase wait time before returning timeout error.

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 25 Feb 2008 08:57:52 +0000

osso-gwobex (0.56) unstable; urgency=low

  * New version to force recompilation against new openobex package

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 30 Jul 2007 16:18:37 +0300

osso-gwobex (0.55) unstable; urgency=low

  * Check the return value of read(). Fixes: MB#1137

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 18 Apr 2007 15:23:47 +0300

osso-gwobex (0.54) unstable; urgency=low

  * Don't set abort error if xfer_close caused the abort itself.
    Fixes: NB#48358
  * Add -dbg package. Fixes: NB#40776

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  1 Dec 2006 13:23:05 +0200

osso-gwobex (0.53.1) unstable; urgency=low

  * Copyright disclaimer & license text cleanup. Fixes: #NB40652

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 18 Sep 2006 16:52:10 +0300

osso-gwobex (0.53) unstable; urgency=low

  * Set error if necessary in gw_obex_xfer_close. Fixes: NB#39370

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu,  7 Sep 2006 11:25:31 +0300

osso-gwobex (0.52.2) unstable; urgency=low

  * Second try at fix for idle source handling. Fixes: #NB36519

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 15 Aug 2006 13:41:10 +0300

osso-gwobex (0.52.1) unstable; urgency=low

  * Fix compilation with debug enabled. Fixes: #NB37755

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 15 Aug 2006 10:26:41 +0300

osso-gwobex (0.52) unstable; urgency=low

  * Remove transfer idle function in gw_obex_xfer_close. Fixes: #NB36519

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 14 Aug 2006 10:52:19 +0300

osso-gwobex (0.51.1) unstable; urgency=low

  * Recompile against new openobex

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 27 Jul 2006 13:41:18 +0300

osso-gwobex (0.51) unstable; urgency=low

  * Fix calling of xfer callback after xfer_write. Fixes: #NB35777

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 25 Jul 2006 14:18:29 +0300

osso-gwobex (0.50) unstable; urgency=low

  * New test cases
  * Change some if's to asserts to get better code coverage
  * Call callback also when data can be written. Fixes: NB#33474

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 24 Jul 2006 14:28:02 +0300

osso-gwobex (0.49.1) unstable; urgency=low

  * Fix small leak in GIOSource
  * Fix GMutex leak on connection failure. Fixes: NB#33454

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 21 Jun 2006 13:54:09 +0300

osso-gwobex (0.49) unstable; urgency=low

  * Fix gw_obex_put_fd and gw_obex_get_fd (fixes bug #31677)
  * Don't free user supplied buffer in gw_obex_put_buf (fixes bug #31825)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  2 Jun 2006 08:39:58 +0300

osso-gwobex (0.48) unstable; urgency=low

  * Coverage patch from Rafael Espindola <rafael.espindola@indt.org.br>

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 15 May 2006 10:31:36 +0300

osso-gwobex (0.47.4) unstable; urgency=low

  * Remove duplicate libopenobex1 depends

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  5 May 2006 13:27:07 +0300

osso-gwobex (0.47.3) unstable; urgency=low

  * Treat GIOCondition correctly in gw_obex_cb

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed,  3 May 2006 18:55:05 +0300

osso-gwobex (0.47.2) unstable; urgency=low

  * Adjust RX MTU from 12kB to 4kB for better IOP

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue,  2 May 2006 16:14:59 +0300

osso-gwobex (0.47.1) unstable; urgency=low

  * Add explicit libopenobex1 dependency to libgwobex0 binary package

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 28 Mar 2006 21:39:54 +0300

osso-gwobex (0.47) unstable; urgency=low

  * Updated depends for openobex 1.2

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 20 Mar 2006 14:23:44 +0200

osso-gwobex (0.46) unstable; urgency=low

  * Cleanup
  * Added documentation for the new xfer functions

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 22 Feb 2006 14:42:05 +0200

osso-gwobex (0.45.1) unstable; urgency=low

  * Fix libgwobex.pc to work with openobex 1.1

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 14 Feb 2006 17:29:53 +0200

osso-gwobex (0.45) unstable; urgency=low

  * Fix segfault when callig gw_obex_close before gw_obex_xfer_close
  * Depend on openobex-1.1

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 14 Feb 2006 16:12:15 +0200

osso-gwobex (0.44) unstable; urgency=low

  * Call OBEX_HandleInput instead of g_main_context_iteration
  * Add missing call to OBEX_SuspendRequest in obex_readstream
  * Fix some locking issues
  * Split xfer_close to xfer_close and xfer_free
  * xfer_abort nolonger requires xfer_close to be called (just xfer_free)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 13 Feb 2006 17:40:56 +0200

osso-gwobex (0.43) unstable; urgency=low

  * Better error reporting for async functions
  * Added error argument and boolean return to xfer_flush (breaks API)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  3 Feb 2006 11:24:48 -0800

osso-gwobex (0.42.1) unstable; urgency=low

  * Fix xfer_write for blocking transfers
  * Fix async put of empty files

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  3 Feb 2006 00:39:01 -0800

osso-gwobex (0.42) unstable; urgency=low

  * Add gw_obex_xfer_set_blocking

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu,  2 Feb 2006 21:12:02 -0800

osso-gwobex (0.41) unstable; urgency=low

  * Add gw_obex_xfer_flush

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 14 Dec 2005 13:54:19 +0200

osso-gwobex (0.40) unstable; urgency=low

  * async operations support

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  2 Dec 2005 21:19:39 +0200

osso-gwobex (0.32) unstable; urgency=low

  * Send OBEX Disconnect command before closing transport connection
  * Added PBAP UUID to public header
  * Call obex_link_error in case of timeout

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed,  5 Oct 2005 21:35:07 +0300

osso-gwobex (0.31.1) unstable; urgency=low

  * Updated doxygen docs in gw-obex.h

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 21 Sep 2005 16:31:29 +0300

osso-gwobex (0.31) unstable; urgency=low

  * Use proper invalid connection id value (0xFFFFFFFF)
  * Use connection id also in action command
  * Added new function gw_obex_get_type

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  9 Sep 2005 11:10:16 +0300

osso-gwobex (0.30.3) unstable; urgency=low

  * Remove bluez dependency from configure.ac

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon,  5 Sep 2005 19:08:47 +0300

osso-gwobex (0.30.2) unstable; urgency=low

  * Handle multiple nul's at the end of folder-listing (WIDCOMM sends two)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  2 Sep 2005 18:40:33 +0300

osso-gwobex (0.30.1) unstable; urgency=low

  * Fix time parsing (according to spec it doesn't have to be null terminated)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 22 Aug 2005 13:32:16 +0300

osso-gwobex (0.30) unstable; urgency=low

  * Moved gwobex_test to its own source package (osso-obc)
  * Removed gwconnect dependency from libgwobex.pc
  * Make use of time headers in put and get operations
  * Call progress callback at correct place

 -- Johan Hedberg <johan.hedberg@nokia.com>  Sun, 21 Aug 2005 01:14:34 +0300

osso-gwobex (0.29) unstable; urgency=low

  * gwobex_test: show exact error from gw_obex_setup
  * osso-gwobex -> libgwobex0, osso-gwobex-dev libgwobex-dev

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 15 Aug 2005 14:10:35 +0300

osso-gwobex (0.28.1) unstable; urgency=low

  * gwobex_test: show OBEX error as string
  * gwobex_test: use HCI_Read_Remote_Name if GConf fails
  * gwobex_test: One or more OBEX commands (separated by ";") can be given
    with the -c command line parameter")
  * gwobex_test license changed to GPL (from LGPL)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 15 Aug 2005 10:11:04 +0300

osso-gwobex (0.28) unstable; urgency=low

  * Remove gcc 4.x warnings
  * Make gwconnect dependency optional (--enable-btcond)
  * Make OPP work when BDA is given as a commandline parameter
  * Reworked gwobex_test parameters (see "gwobex_test --help" for more info)
  * Support for RFCOMM and SDP without btcond

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 11 Aug 2005 12:42:09 +0300

osso-gwobex (0.27.4) unstable; urgency=low

  * Code cleanup

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 10 Aug 2005 10:10:53 +0300

osso-gwobex (0.27.3) unstable; urgency=low

  * Don't send ABORT twice by mistake.

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu,  4 Aug 2005 12:43:38 +0300

osso-gwobex (0.27.2) unstable; urgency=low

  * Support for showing current directory in gwobex_test
  * Couple of new commands to gwobex_test (lls, pwd, lpwd, lcd, |)
  * Show device name in gwobex_test prompt

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed,  3 Aug 2005 15:39:28 +0300

osso-gwobex (0.27.1) unstable; urgency=low

  * More transfer info (speed & time) for gwobex_test

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed,  3 Aug 2005 13:23:34 +0300

osso-gwobex (0.27) unstable; urgency=low

  * Support for specifying role, auth and encrypt for gwobex_test

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue,  2 Aug 2005 10:49:29 +0300

osso-gwobex (0.26.2) unstable; urgency=low

  * Decreased timeout back to 10s (with permission from Johan).

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri,  1 Jul 2005 13:38:10 +0300

osso-gwobex (0.26.1) unstable; urgency=low

  * Increased timeout from 10s to 30s

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 21 Apr 2005 13:01:11 +0300

osso-gwobex (0.26) unstable; urgency=low

  * Log to syslog by defaut (when debug is enabled)
  * Do proper ABORT procedure
  * Fail on trying to do PUT for a directory
  * Misc. fixes to gwobex_test
  * Two new possible errors:
      - GW_OBEX_ERROR_INVALID_PARAMS
      - GW_OBEX_ERROR_LOCAL_ACCESS

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 23 Mar 2005 23:13:51 +0200

osso-gwobex (0.25) unstable; urgency=low

  * Update to new rfcomm_(dis)connect btcond API
  * Remove UTF-8 validation since XML docs may have other encoding than UTF-8
  * Added Recomends: osso-gwconnect to osso-gwobex-test

 -- Johan Hedberg <johan.hedberg@nokia.com>  Sat, 19 Mar 2005 21:47:32 +0200

osso-gwobex (0.24) unstable; urgency=low

  * Fix for buggy folder listing object
  * Check for valid UTF-8 in folder listing and capability objects

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed,  2 Mar 2005 14:24:09 +0200

osso-gwobex (0.23) unstable; urgency=low

  * Use O_SYNC when opening rfcomm device
  * Use \r instead of \n when reporting progress for gwobex_test

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 22 Nov 2004 11:22:41 +0200

osso-gwobex (0.22) unstable; urgency=low

  * Support for specifying UUID
  * Removed gw_obex_setup in favor of two new functions:
     - gw_obex_setup_dev
     - gw_obex_setup_fd

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 17 Nov 2004 14:52:26 +0200

osso-gwobex (0.21) unstable; urgency=low

  * Added libxml2-dev build-dependency

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 20 Oct 2004 09:51:27 +0300

osso-gwobex (0.20) unstable; urgency=low

  * Added missing comma to build-depends list
  * Added copyright file
  * Added manpage for gwobex_test

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 15 Oct 2004 11:09:12 +0300

osso-gwobex (0.19) unstable; urgency=low

  * Added pkgconfig support (patch from Imendio)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Tue, 21 Sep 2004 15:21:39 +0300

osso-gwobex (0.18) unstable; urgency=low

  * Realy fix raw mode (also disable echo)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 17 Sep 2004 13:24:03 +0300

osso-gwobex (0.17) unstable; urgency=low

  * Set raw mode for opened device

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 15 Sep 2004 16:34:25 +0300

osso-gwobex (0.16) unstable; urgency=low

  * Updated test app to new gwconnect API

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 10 Sep 2004 09:58:57 +0300

osso-gwobex (0.15) unstable; urgency=low

  * Updated license disclamers in files
  * Fixed source packaging

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  3 Sep 2004 13:54:50 +0300

osso-gwobex (0.14) unstable; urgency=low

  * Fixed incorrect symlink for install-sh (closes #1336)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 30 Aug 2004 10:02:43 +0300

osso-gwobex (0.13) unstable; urgency=low

  * Remove usage of gw_is_connectable method call in test application
  * Added build-dependency to osso-gwconnect-dev

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 20 Aug 2004 12:57:25 +0300

osso-gwobex (0.12-2) unstable; urgency=low

  * Created osso-gwobex-test with gwobex_test program

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon,  9 Aug 2004 13:27:36 +0300

osso-gwobex (0.12-1) unstable; urgency=low

  * Remove error prints (library should output something only in debyg mode)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  9 Jul 2004 16:14:25 +0300

osso-gwobex (0.11-1) unstable; urgency=low

  * Support for Nokia FTP in gwobex_test

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 13 May 2004 15:27:00 +0300

osso-gwobex (0.10-1) unstable; urgency=low

  * Abort related fixes and cleanup in gw_obex_request_sync()

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu, 13 May 2004 13:02:03 +0300

osso-gwobex (0.9-1) unstable; urgency=low

  * Fixed problems with the obex_link_error function.

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 12 May 2004 17:41:20 +0300

osso-gwobex (0.8-1) unstable; urgency=low

  * Use g_source_destroy() instead of g_source_remove() in gw_obex_close()
  * Assorted fixes related to locking using GMutex.

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 12 May 2004 16:19:40 +0300

osso-gwobex (0.7-1) unstable; urgency=low

  * Added GMainContext parameter go gw_obex_setup()
  * Removed race condition by unlocking GwObex before disconnect callback

 -- Johan Hedberg <johan.hedberg@nokia.com>  Mon, 10 May 2004 12:45:19 +0300

osso-gwobex (0.6-1) unstable; urgency=low

  * Added internal locking of the GwObex structure

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri,  7 May 2004 15:09:01 +0300

osso-gwobex (0.5-1) unstable; urgency=low

  * Added gw_obex_{put,get}_fd functions

 -- Johan Hedberg <johan.hedberg@nokia.com>  Thu,  6 May 2004 18:29:09 +0300

osso-gwobex (0.4-1) unstable; urgency=low

  * Changed GW_OBEX to GwObex (more GLib-like)

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed,  5 May 2004 16:04:51 +0300

osso-gwobex (0.3-1) unstable; urgency=low

  * Added --enable-tracing to configure script
  * acinclude.m4 is now generated from aclocal/*.m4 by autogen.sh

 -- Johan Hedberg <johan.hedberg@nokia.com>  Fri, 30 Apr 2004 13:55:53 +0300

osso-gwobex (0.2-1) unstable; urgency=low

  * New autotools build system by Mikael Hallendal <micke@imendio.com>
  * Cleanup & fixes
  * Better debianization using compat == 4

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 28 Apr 2004 20:18:51 +0300

osso-gwobex (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Johan Hedberg <johan.hedberg@nokia.com>  Wed, 14 Apr 2004 12:39:44 +0300

